html {
    overflow-x: hidden;
    max-width: 100vw;
  }
  
  body {
    /*background-image: url(../images/Front_Page.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed;*/
    background: linear-gradient(to left, rgb(169, 180, 205), rgb(33, 33, 49) 100%);
	font-family: Arial, sans-serif;
	margin: 0;
	padding: 0;
	overflow-x: hidden;
	overflow-y: hidden;
	max-width: 100vw;
	-webkit-tap-highlight-color: transparent;
	color: white;
	position: relative;
	min-height: 100vh;
  }

  h4 {
		margin-top: 0px;
    text-align: center;
	}

  .inline-horizontal {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    height: fit-content;
    flex-wrap: wrap;
    padding: 10px;
  }

  .inline-horizontal img {
    height: 40px;
    aspect-ratio: 1;
  }

  .error-img-container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: fit-content;
    margin-bottom: 20px;
  }
  
  .error-message {
    color: white;
    background-color: #ff8787;
    border-color: red;
    border-width: 2px;
    border-style: solid;
    padding: 5px;
    margin: 10px;
  }

  .li {
    color: white;
    font-size: 12px;
  }

	form {
    display: flex;
    flex-direction: column;
		background-color: rgba(255, 255, 255, 0);
		margin: 0px auto;
		padding: 20px;
		max-width: 500px;
    min-height: 400px;
		border-radius: 5px;
	}

  form a {
    color: white;
    text-decoration: none;
    font-size: 14px;
  }
  label[for="password"],
	label[for="email"] {
    display: block;
		font-weight: bold;
  		color: white;
      margin-bottom: 10px;
  }

input[type="text"],
input[type="password"] {
  border: 2px white solid;
  color: white;
  padding: 10px;
  margin-bottom: 20px;
  border-radius: 5px;
  font-size: 16px;
  font-family: Arial, sans-serif;
  background-color: rgba(255, 255, 255, 0);
}

input[type="text"]:focus,
input[type="password"]:focus {
  outline: none;
}

input[type="submit"]#login-button,
input[type="submit"]#reset-button,
input[type="button"]#go-back {
  background-color: #747ea499;
  border-color: white;
  border-style: solid;
  color: white;
  padding: 10px;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
  font-family: Arial, sans-serif;
  transition: background-color 0.3s ease;
  width: fit-content;
  min-width: 100px;
  display: inline-block;
}

input[type="submit"]#login-button:hover,
input[type="submit"]#reset-button:hover,
input[type="button"]#go-back:hover {
  background-color: #747ea4;
}

.button-container label[for="newuser"] {
	display: inline-block;
	margin-right: 5px;
	color: white;
  
  margin-left: auto;
  }

label[for="signup-button"] {
	color: white;
  }

input[type="button"]#signup-button,
input[type="button"]#password-back-to-login {
  background-color: rgba(116, 126, 164, 0);
  border-color: white;
  border-style: solid;
  color: white;
  padding: 10px;
  border-radius: 5px;
  cursor: pointer;
  font-size: 16px;
  font-family: Arial, sans-serif;
  transition: background-color 0.3s ease;
  width: fit-content;
  min-width: 100px;
  float: right;
}

input[type="button"]#signup-button:hover,
input[type="button"]#password-back-to-login:hover {
  background-color: rgb(116, 126, 164);
}

input[type="button"]#reset-password-button {
  color: white;
  padding: 5px;
  cursor: pointer;
  font-size: 14px;
  font-family: Arial, sans-serif;
  width: fit-content;
}

.button-container {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.submit-container {
  display: flex;
  flex-direction: column;
  width: fit-content;
  padding: 10px 0px;
}

.button-container a {
  margin-left: auto;
}

.sign-up-container {
  align-items: center;
  text-align: center;
  display: flex;
  flex-direction: row;
  width: fit-content;
  padding: 10px 0px;
  margin-left: auto;
}